Draft WireToBSpline/fr: Difference between revisions

From FreeCAD Documentation
(Created page with "# Sélectonnez un objet {{KEY|16px|text-top=Ligne à points multiples|link=Draft_Wire/fr Wire}} ou un ojbet {{KEY|[[Image:Draft_BSpl...")
(Created page with "* L'objet original n'est pas effacé après l'opération, si vous voulez l'effacer, vous devez le faire manuellement.")
Line 14: Line 14:
==Options==
==Options==


* L'objet original n'est pas effacé après l'opération, si vous voulez l'effacer, vous devez le faire manuellement.
* The original object will not be deleted after the operation, you must delete it manually if you wish so.


==Scripting==
==Scripting==

Revision as of 15:55, 14 February 2014

Draft_WireToBSpline

Emplacement du menu
Drafting → Wire to BSpline
Ateliers
Draft, Arch
Raccourci par défaut
Aucun
Introduit dans la version
-
Voir aussi
Aucun

Description

L'outil text-top=Wire en Bspline Wire en Bspline, converti un text-top=Ligne à points multiples Wire en text-top=Courbe B-Spline (Bézier) B-Spline, et vice-versa.

Utilisation

  1. Sélectonnez un objet text-top=Ligne à points multiples Wire ou un ojbet text-top=Courbe B-Spline (Bézier) B-Spline.
  2. Pressez le bouton text-top=Wire en Bspline Wire en Bspline.

Options

  • L'objet original n'est pas effacé après l'opération, si vous voulez l'effacer, vous devez le faire manuellement.

Scripting

Not available, but creating a new object with the points from another one is easy, for example:

  • If the active object is a wire:
 import FreeCAD,Draft
 points = FreeCAD.ActiveDocument.ActiveObject.Points
 Draft.makeBSpline(points)
  • if the active object is a bspline
 import FreeCAD,Draft
 points = FreeCAD.ActiveDocument.ActiveObject.Points
 Draft.makeWire(points)